#ifndef FX_FLASH_H
#define FX_FLASH_H
#include <Adafruit_NeoPixel.h>
#include <math.h>
#include "effect.h"

class FX_Flash : public Effect
{
  public:
    FX_Flash(int numpixels,Adafruit_NeoPixel *strip,uint8_t *height,uint32_t flashcolor);
    FX_Flash();
    void updateRoutine(float updatedelayms);
    void updateGraphics();
    uint32_t Wheel(byte WheelPos,float brightness);
    bool active();
  private:
    int _numpixels;
    Adafruit_NeoPixel *_strip;
    uint32_t _flashcolor;
    long _starttime;
    uint8_t _brightness;
    long _flashtime;
    uint8_t *_height;
};

#endif


